{{ if isset .Site.Params "ministries" }}
{{ if .Site.Params.ministries.enable }}
{{ if gt (len .Site.Data.ministries) 0 }}
<section class="bar background-white" style="overflow: auto">
    <div class="container">
        {{ $elements := default 3 .Site.Params.ministries.cols }}
        {{ $ministries := sort .Site.Data.ministries "weight" }}

        {{ $total_rows := div (len $ministries) $elements }}

        {{ if gt (mod (len $ministries) $elements) 0 }}
          {{ $total_rows = add $total_rows 1 }}
        {{ end }}

        {{ range $i, $sequence := seq $total_rows }}
          <div class="row row-{{ $i }} row-{{ if eq (mod $i 2) 0 }}odd{{ else }}even{{ end }}">
            {{ range $j, $sequence2 := (seq $elements) }}

                {{ $feature_index := add (mul $i $elements) $j }}
                {{ if lt $feature_index (len $ministries) }}
                    {{ $element := index $ministries $feature_index }}

                    <div class="col-md-{{ div 12 $elements }} col-{{ $j }} col-{{ if eq (mod $j 2) 0 }}odd{{ else }}even{{ end }}">
                        <div class="box-simple">
                            {{ with $element.url }}
                            <a href="{{ $element.url }}">
                            {{ end }}
                                <div class="icon square">
                                    <i><h3>{{ $element.name | markdownify }}</h3>
                                    </i>
                                </div> 
                            {{ with $element.url }}
                            </a>
                            {{ end }}
                        </div>
                    </div>
                {{ end }}
            {{ end }}
          </div>
        {{ end }}
    </div>
</section>
{{ end }}
{{ end }}
{{ end }}